Bug 493410 - Windows installs (ex: Win 2008) reboot media as soon as install starts
Windows installs (ex: Win 2008) reboot media as soon as install starts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-04-01 12:51 EDT by Michael DeHaan
Modified: 2009-09-22 09:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 09:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from ~/.virtmanager on rawhide (12.00 KB, text/plain)
2009-04-06 11:21 EDT, Michael DeHaan
no flags Details
/var/log/libvirt/qemu/win2008_bugzilla.log (10.25 KB, text/plain)
2009-04-06 11:23 EDT, Michael DeHaan
no flags Details

  None (edit)
Description Michael DeHaan 2009-04-01 12:51:19 EDT
Description of problem:

See thread here -- https://www.redhat.com/archives/et-mgmt-tools/2009-March/msg00088.html -- Windows installs in F10 eject the install media almost immediately after starting the install (~5 seconds in) and can't get at the CD ROM from virt-manager or virtinst.  This problem is not present in rawhide, so the fix needs to be backported to enable F10 to work.

All details are in the thread.
Comment 1 Mark McLoughlin 2009-04-03 06:53:41 EDT
Could you try the versions in F10 updates-testing?
Comment 2 Michael DeHaan 2009-04-05 07:39:31 EDT
This was reproduced in rawhide Friday (soon to be F11 beta), do you still need a check against F10 updates-testing?

It seems that if it happens in F10 and rawhide, F10-testing would be the same?

If you still need that, just let me know.
Comment 3 Mark McLoughlin 2009-04-06 05:26:10 EDT
Hmm, you said it's fixed in rawhide?

F10 updates-testing has a fairly recent version, so if it's fixed in rawhide it might well be fixed in F10 updates-testing

Since I don't think we know what changed in virt-manager to fix it, the only way to check is by testing
Comment 4 Michael DeHaan 2009-04-06 08:29:12 EDT
Nope, it was broken in rawhide.  That's what I meant by reproduced.
Comment 5 Mark McLoughlin 2009-04-06 09:26:28 EDT
Okay, I was going by your original "this problem is not present in rawhide" comment.

So, this is qemu-0.10-0.9.kvm20090310git.fc11, libvirt-0.6.1-5.fc11 and python-virtinst-0.400.3-1

Please attach /var/log/libvirt/qemu/$(domain).log, ~/.virt-manager.log and anything else useful you can think of.

It's a little hard to tell at this point whether it's a random qemu bug or whether virtinst/libvirt is somehow doing something wrong here.
Comment 6 Michael DeHaan 2009-04-06 11:21:09 EDT
Created attachment 338347 [details]
log from ~/.virtmanager on rawhide
Comment 7 Michael DeHaan 2009-04-06 11:23:12 EDT
Created attachment 338348 [details]
/var/log/libvirt/qemu/win2008_bugzilla.log
Comment 8 Michael DeHaan 2009-04-06 11:27:51 EDT
The above logs are from rawhide latest as of 11:00 AM EST, 4/6:

libvirt-0.6.2-1.fc11.i586
python-virtinst-0.400.3-4.fc11.noarch
qemu-0.10-6.fc11.i586

And just to confirm, this happens with the ISO on the filesystem (/opt/images/win2008.iso), but does not happen when given the actual CDROM.  For purposes of Cobbler/ovirt/misc-automated-stuff, we need to use the ISO, not the CDROM.

(Running as root, SELinux is disabled, so none of that should be in the way)
Comment 9 Mark McLoughlin 2009-04-06 13:17:17 EDT
Okay, no obvious cause in the logs - it looks to me like this should be reproducible with qemu on its own
Comment 10 Fedora Admin XMLRPC Client 2009-05-07 08:12:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2009-05-07 08:13:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2009-05-07 08:13:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2009-05-07 13:58:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Mark McLoughlin 2009-06-05 04:58:31 EDT
Could you try with qemu-0.10.5-2.fc11?

  https://admin.fedoraproject.org/updates/qemu-0.10.5-2.fc11

It has a fix to prevent qemu from ejecting a locked cdrom, maybe that'll help
Comment 15 Bug Zapper 2009-06-09 08:59:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Mark McLoughlin 2009-09-22 09:32:55 EDT
Three months, no update. Closing, hopefully it's fixed now anyway

Note You need to log in before you can comment on or make changes to this bug.